JsonParserUsingCharacterSource (Groovy 5.0.6)
Description: declaration: package: org.apache.groovy.json.internal, class: JsonParserUsingCharacterSource

Package org.apache.groovy.json.internal

# Class JsonParserUsingCharacterSource

java.lang.Object
org.apache.groovy.json.internal.BaseJsonParser
org.apache.groovy.json.internal.JsonParserUsingCharacterSource

All Implemented Interfaces:
  `JsonParser`

public class JsonParserUsingCharacterSource extends BaseJsonParser
Converts an input JSON String into Java objects works with String or char array as input. Produces an Object which can be any of the basic JSON types mapped to Java.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static char[]`
  `FALSE`
  `protected static final char[]`
  `NULL`
  `protected static final char[]`
  `TRUE`

  ### Fields inherited from class org.apache.groovy.json.internal.BaseJsonParser

  `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, bufSize, charset, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, internedKeysCache, internKeys, LETTER_BIG_E, LETTER_E, MINUS, PLUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonParserUsingCharacterSource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final void`
  `complain(String complaint)`
  `protected final boolean`
  `decodeFalse()`
  `protected final List`
  `decodeJsonArray()`
  `protected final Object`
  `decodeJsonObject()`
  `protected final Object`
  `decodeNull()`
  `protected final boolean`
  `decodeTrue()`
  `protected String`
  `exceptionDetails(String message)`
  `Object`
  `parse(char[] chars)`
  `Object`
  `parse(Reader reader)`

  ### Methods inherited from class org.apache.groovy.json.internal.BaseJsonParser

  `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, setCharset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NULL

    protected static final char[] NULL

  - ### TRUE

    protected static final char[] TRUE

  - ### FALSE

    protected static char[] FALSE

- ## Constructor Details

  - ### JsonParserUsingCharacterSource

    public JsonParserUsingCharacterSource()

- ## Method Details

  - ### exceptionDetails

    protected String exceptionDetails(String message)

  - ### decodeJsonObject

    protected final Object decodeJsonObject()

  - ### complain

    protected final void complain(String complaint)

  - ### decodeNull

    protected final Object decodeNull()

  - ### decodeTrue

    protected final boolean decodeTrue()

  - ### decodeFalse

    protected final boolean decodeFalse()

  - ### decodeJsonArray

    protected final List decodeJsonArray()

  - ### parse

    public Object parse(Reader reader)
    Specified by:
      `parse` in interface `JsonParser`
    Overrides:
      `parse` in class `BaseJsonParser`

  - ### parse

    public Object parse(char[] chars)